Page MenuHomePhabricator

Notice: Undefined index: in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php
Closed, ResolvedPublic

Description

Since rolling forward wmf.7 there are a lot of undefined index notices for abusefilter:

Notice: Undefined index: 279 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754
Notice: Undefined index: 67 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754
Notice: Undefined index: 17 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754
Notice: Undefined index: 122 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754 	5 	
Notice: Undefined index: 122 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 1731 	5 	
Notice: Undefined index: 80 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754 	4 	
Notice: Undefined index: 686 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754 	4 	
Notice: Undefined index: 686 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 1731 	4 	
Notice: Undefined index: 112 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754 	4 	
Notice: Undefined index: 1 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 826 	4 	
Notice: Undefined index: 1 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754 	4 	
Notice: Undefined index: 1 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 1731 	4 	
Notice: Undefined index: 84 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754 	3 	
Notice: Undefined index: 82 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 826 	3 	
Notice: Undefined index: 82 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754 	3 	
Notice: Undefined index: 82 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 1731 	3 	
Notice: Undefined index: 8 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 754 	3 	
Notice: Undefined index: 8 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 1731 	3 	
Notice: Undefined index: 37 in /srv/mediawiki/php-1.28.0-wmf.7/extensions/AbuseFilter/AbuseFilter.class.php on line 826

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : wmf/1.28.0-wmf.8Fix $filters and $tagsToSet static variable handling
mediawiki/extensions/AbuseFilter : masterFix $filters and $tagsToSet static variable handling

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 23 2016, 7:54 PM
greg triaged this task as High priority.Jun 23 2016, 8:02 PM
aaron claimed this task.Jun 28 2016, 10:47 PM

Change 296491 had a related patch set uploaded (by Aaron Schulz):
Fix $filters and $tagsToSet static variable handling

https://gerrit.wikimedia.org/r/296491

Change 296491 merged by jenkins-bot:
Fix $filters and $tagsToSet static variable handling

https://gerrit.wikimedia.org/r/296491

Krinkle closed this task as Resolved.Jun 30 2016, 4:37 PM

Change 296827 had a related patch set uploaded (by 20after4):
Fix $filters and $tagsToSet static variable handling

https://gerrit.wikimedia.org/r/296827

Change 296827 abandoned by Bartosz Dziewoński:
Fix $filters and $tagsToSet static variable handling

Reason:
wmf.8 is no longer live.

https://gerrit.wikimedia.org/r/296827

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM